#include <zombie_escape>

// Sound
new const g_szArmorSound[] = "player/bhit_helmet-1.wav"

// Cvars
new g_pCvarArmorAmount

public plugin_init()
{
    register_plugin("[ZE] Armor","1.0","Raheem")
    
    // Cvars
    g_pCvarArmorAmount = register_cvar("ze_human_armor_amount", "100")
}

public ze_user_humanized(id)
{
	set_entvar(id, var_armorvalue, get_pcvar_float(g_pCvarArmorAmount))
}

public ze_user_infected_pre(iVictim, iInfector, iDamage)
{
	if (iInfector != 0)
	{
		new iArmor = floatround(get_entvar(iVictim, var_armorvalue))
		
		if (iArmor > 0)
		{
			emit_sound(iVictim, CHAN_BODY, g_szArmorSound, 1.0, ATTN_NORM, 0, PITCH_NORM)
			
			if (iArmor - iDamage > 0)
			{
				set_entvar(iVictim, var_armorvalue, float(iArmor - iDamage))
			}
			else
			{
				set_entvar(iVictim, var_armorvalue, 0.0)
			}
			
			return HC_SUPERCEDE;
		}
	}
	
	return HC_CONTINUE;
}